Name:           perl-Digest-HMAC
Version:        1.04
Release:        2
Summary:        Keyed-Hashing for Message Authentication
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Digest-HMAC
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARODLAND/Digest-HMAC-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-generators perl(Digest::MD5) perl(Digest::SHA1) perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HMAC is used for message integrity checks between two parties that share a secret key,
and works in combination with some other Digest algorithm, usually MD5 or SHA-1.
The HMAC mechanism is described in RFC 2104.

HMAC follow the common Digest:: interface, but the constructor takes the secret key
and the name of some other simple Digest:: as argument.

The hmac() and hmac_hex() functions and the Digest::HMAC->new() constructor takes an
optional $blocksize argument as well. The HMAC algorithm assumes the digester to hash
by iterating a basic compression function on blocks of data and the $blocksize should
match the byte-length of such blocks.

The default $blocksize is 64 which is suitable for the MD5 and SHA-1 digest functions.
For stronger algorithms the blocksize probably needs to be increased.

%prep
%autosetup -n Digest-HMAC-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Digest/
%{_mandir}/man3/*.3*

%changelog
* Tue Oct 25 2022 jiangchuangang <jiangchuangang@huawei.com> - 1.04-2
- Fix wrong web address in Source0

* Sat Dec 25 2021 tianwei <tianwei12@huawei.com> - 1.04-1
- Upgrade to 1.04

* Fri Oct 25 2019 huzhiyu <huzhiyu1@huawei.com> - 1.03-20
- Package init
